Bug 68749 - Update Makefile for math/yacas
Summary: Update Makefile for math/yacas
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-07-07 03:50 UTC by Jon Drews
Modified: 2004-07-07 08:32 UTC (History)
0 users

See Also:


Attachments
Makefile.diff (317 bytes, patch)
2004-07-07 04:02 UTC, Jonathan
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jon Drews 2004-07-07 03:50:20 UTC
Yacas-1.0.56 fails to build becuase of the update of math/gsl from
version 1.5 to 1.6

Fix: 

Apply the attached Makefile patch. The yacas port was tested in
accordance with sect. 3.4 of the Porters Handbook. yacas was run after
the pkg_add step and after the make reinstall step. The help browser,
the plotting, the reading of external files and the algebra/calculus
manipulations all worked.  However, portlint -Av showed numerous
warnings for the pkg-plist. These warnings complained about the
libtool archive entries (%%GMP%%lib/libgmpnumbers.la). I generated a
new pkg-plist (using the metod in section 18)  but could not figure
out the proper way to annotate the new entries with %%GMP%% and
%%NOGMP%%. For that reason I did not change the pkg-plist. In addition
I have no way of testing the libgmp option as it does not work on
CURRENT, which is what I am running. Despite the warnings the port
appears to run fine.

------=_Part_6_6944988.1089168305923
Content-Type: application/octet-stream; name="Makefile.diff"
Content-Transfer-Encoding: base64
Content-Disposition: attachment; filename="Makefile.diff"

LS0tIC9ob21lL3hmY2UvcG9ydHMveWFjYXMvTWFrZWZpbGUJVHVlIEp1bCAgNiAxODoyNzoxNyAy
MDA0CisrKyBNYWtlZmlsZQlUdWUgSnVsICA2IDE4OjI5OjUyIDIwMDQKQEAgLTE1LDcgKzE1LDcg
QEAKIE1BSU5UQUlORVI9CXBvcnRzQEZyZWVCU0Qub3JnCiBDT01NRU5UPQlZZXQgQW5vdGhlciBD
b21wdXRlciBBbGdlYnJhIFN5c3RlbQogCi1MSUJfREVQRU5EUz0JZ3NsLjU6JHtQT1JUU0RJUn0v
bWF0aC9nc2wKK0xJQl9ERVBFTkRTPQlnc2wuNjoke1BPUlRTRElSfS9tYXRoL2dzbAogCiBVU0Vf
UEVSTDVfQlVJTEQ9CXllcwogVVNFX0dNQUtFPQl5ZXMK
------=_Part_6_6944988.1089168305923--
How-To-Repeat: Attempt to compile the program and it will fail with a message saying
it cannot find
libgsl.so.5.
Comment 1 Jon Drews 2004-07-07 03:59:53 UTC
Correction: The Description should say:
"Yacas-1.0.56 fails to build becuase of the update of math/gsl from
version 1.4 to 1.5" and not 1.5 to 1.6.
Comment 2 Jonathan 2004-07-07 04:02:10 UTC
Gmail ruined the attached patch. Here is the text Makefile.diff
attachment
Comment 3 Volker Stolz freebsd_committer 2004-07-07 08:04:53 UTC
State Changed
From-To: open->closed

Fixed, thanks!